summaryrefslogtreecommitdiffstats
path: root/development/valgrind
diff options
context:
space:
mode:
author Peter Wang2011-12-09 02:11:31 +0100
committer Niels Horn2011-12-09 02:11:31 +0100
commit3297331dfeb9c97b9d1d2e49e4f9752cd01edeeb (patch)
tree65dfa2c2a57dda652baf555884b4af6c4ac215ae /development/valgrind
parentc8143d189de1a4bc7a8dc636affa14937f237e4d (diff)
downloadslackbuilds-3297331dfeb9c97b9d1d2e49e4f9752cd01edeeb.tar.gz
development/valgrind: Updated for version 3.7.0.
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
Diffstat (limited to 'development/valgrind')
-rw-r--r--development/valgrind/valgrind-r11856.patch86
-rw-r--r--development/valgrind/valgrind-r11904.patch19
-rw-r--r--development/valgrind/valgrind.SlackBuild29
-rw-r--r--development/valgrind/valgrind.info8
4 files changed, 17 insertions, 125 deletions
diff --git a/development/valgrind/valgrind-r11856.patch b/development/valgrind/valgrind-r11856.patch
deleted file mode 100644
index 2d6035befe..0000000000
--- a/development/valgrind/valgrind-r11856.patch
+++ /dev/null
@@ -1,86 +0,0 @@
-Index: coregrind/m_debuginfo/readdwarf.c
-===================================================================
---- coregrind/m_debuginfo/readdwarf.c (revision 11855)
-+++ coregrind/m_debuginfo/readdwarf.c (revision 11856)
-@@ -2899,6 +2899,22 @@
- op = Cop_And; opname = "and"; goto binop;
- case DW_OP_mul:
- op = Cop_Mul; opname = "mul"; goto binop;
-+ case DW_OP_shl:
-+ op = Cop_Shl; opname = "shl"; goto binop;
-+ case DW_OP_shr:
-+ op = Cop_Shr; opname = "shr"; goto binop;
-+ case DW_OP_eq:
-+ op = Cop_Eq; opname = "eq"; goto binop;
-+ case DW_OP_ge:
-+ op = Cop_Ge; opname = "ge"; goto binop;
-+ case DW_OP_gt:
-+ op = Cop_Gt; opname = "gt"; goto binop;
-+ case DW_OP_le:
-+ op = Cop_Le; opname = "le"; goto binop;
-+ case DW_OP_lt:
-+ op = Cop_Lt; opname = "lt"; goto binop;
-+ case DW_OP_ne:
-+ op = Cop_Ne; opname = "ne"; goto binop;
- binop:
- POP( ix );
- POP( ix2 );
-Index: coregrind/m_debuginfo/debuginfo.c
-===================================================================
---- coregrind/m_debuginfo/debuginfo.c (revision 11855)
-+++ coregrind/m_debuginfo/debuginfo.c (revision 11856)
-@@ -1880,6 +1880,14 @@
- case Cop_Sub: return wL - wR;
- case Cop_And: return wL & wR;
- case Cop_Mul: return wL * wR;
-+ case Cop_Shl: return wL << wR;
-+ case Cop_Shr: return wL >> wR;
-+ case Cop_Eq: return wL == wR ? 1 : 0;
-+ case Cop_Ge: return wL >= wR ? 1 : 0;
-+ case Cop_Gt: return wL > wR ? 1 : 0;
-+ case Cop_Le: return wL <= wR ? 1 : 0;
-+ case Cop_Lt: return wL < wR ? 1 : 0;
-+ case Cop_Ne: return wL != wR ? 1 : 0;
- default: goto unhandled;
- }
- /*NOTREACHED*/
-Index: coregrind/m_debuginfo/storage.c
-===================================================================
---- coregrind/m_debuginfo/storage.c (revision 11855)
-+++ coregrind/m_debuginfo/storage.c (revision 11856)
-@@ -603,6 +603,14 @@
- case Cop_Sub: VG_(printf)("-"); break;
- case Cop_And: VG_(printf)("&"); break;
- case Cop_Mul: VG_(printf)("*"); break;
-+ case Cop_Shl: VG_(printf)("<<"); break;
-+ case Cop_Shr: VG_(printf)(">>"); break;
-+ case Cop_Eq: VG_(printf)("=="); break;
-+ case Cop_Ge: VG_(printf)(">="); break;
-+ case Cop_Gt: VG_(printf)(">"); break;
-+ case Cop_Le: VG_(printf)("<="); break;
-+ case Cop_Lt: VG_(printf)("<"); break;
-+ case Cop_Ne: VG_(printf)("!="); break;
- default: vg_assert(0);
- }
- }
-Index: coregrind/m_debuginfo/priv_storage.h
-===================================================================
---- coregrind/m_debuginfo/priv_storage.h (revision 11855)
-+++ coregrind/m_debuginfo/priv_storage.h (revision 11856)
-@@ -249,7 +249,15 @@
- Cop_Add=0x321,
- Cop_Sub,
- Cop_And,
-- Cop_Mul
-+ Cop_Mul,
-+ Cop_Shl,
-+ Cop_Shr,
-+ Cop_Eq,
-+ Cop_Ge,
-+ Cop_Gt,
-+ Cop_Le,
-+ Cop_Lt,
-+ Cop_Ne
- }
- CfiOp;
-
diff --git a/development/valgrind/valgrind-r11904.patch b/development/valgrind/valgrind-r11904.patch
deleted file mode 100644
index 55c6d15ea1..0000000000
--- a/development/valgrind/valgrind-r11904.patch
+++ /dev/null
@@ -1,19 +0,0 @@
-Index: coregrind/m_debuginfo/debuginfo.c
-===================================================================
---- coregrind/m_debuginfo/debuginfo.c (revision 11903)
-+++ coregrind/m_debuginfo/debuginfo.c (revision 11904)
-@@ -1883,10 +1883,10 @@
- case Cop_Shl: return wL << wR;
- case Cop_Shr: return wL >> wR;
- case Cop_Eq: return wL == wR ? 1 : 0;
-- case Cop_Ge: return wL >= wR ? 1 : 0;
-- case Cop_Gt: return wL > wR ? 1 : 0;
-- case Cop_Le: return wL <= wR ? 1 : 0;
-- case Cop_Lt: return wL < wR ? 1 : 0;
-+ case Cop_Ge: return (Word) wL >= (Word) wR ? 1 : 0;
-+ case Cop_Gt: return (Word) wL > (Word) wR ? 1 : 0;
-+ case Cop_Le: return (Word) wL <= (Word) wR ? 1 : 0;
-+ case Cop_Lt: return (Word) wL < (Word) wR ? 1 : 0;
- case Cop_Ne: return wL != wR ? 1 : 0;
- default: goto unhandled;
- }
diff --git a/development/valgrind/valgrind.SlackBuild b/development/valgrind/valgrind.SlackBuild
index 120d422e77..12447cc6f4 100644
--- a/development/valgrind/valgrind.SlackBuild
+++ b/development/valgrind/valgrind.SlackBuild
@@ -5,16 +5,14 @@
# Updated by Peter Wang <novalazy@gmail.com>
PRGNAM=valgrind
-VERSION=3.6.1
-BUILD=${BUILD:-2}
+VERSION=3.7.0
+BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
arm*) ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi
@@ -31,7 +29,9 @@ elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
- SLKCFLAGS="-O2 -fPIC"
+ # The valgrind build system already passes -fpic
+ # and forcing -fPIC results in a build failure.
+ SLKCFLAGS="-O2"
LIBDIRSUFFIX="64"
else
SLKCFLAGS="-O2"
@@ -47,11 +47,6 @@ cd $PRGNAM-$VERSION || exit 1
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
-# Apply upstream patches to fix https://bugs.kde.org/show_bug.cgi?id=277045
-# Thanks to Ricardo Nabinger Sanchez for reporting the solution.
-patch -p0 < $CWD/valgrind-r11856.patch || exit 1
-patch -p0 < $CWD/valgrind-r11904.patch || exit 1
-
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
@@ -63,15 +58,17 @@ CXXFLAGS="$SLKCFLAGS" \
|| exit 1
make || exit 1
-make install-strip DESTDIR=$PKG || exit 1
+make install DESTDIR=$PKG || exit 1
+
+# Do NOT strip the shared objects, as recommended by the developers.
+find $PKG -print0 | xargs -0 file | grep -e "executable" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-( cd $PKG/usr/man
- find . -type f -exec gzip -9 {} \;
- for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
-)
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a AUTHORS COPYING FAQ.txt NEWS README* \
+cp -a AUTHORS COPYING* FAQ.txt NEWS README* \
$PKG/usr/doc/$PRGNAM-$VERSION
mv $PKG/usr/share/doc/valgrind/html $PKG/usr/doc/$PRGNAM-$VERSION
# The doc directory is the only thing in $PKG/usr/share, and the only things
diff --git a/development/valgrind/valgrind.info b/development/valgrind/valgrind.info
index 71c0cf7f44..e8fa960235 100644
--- a/development/valgrind/valgrind.info
+++ b/development/valgrind/valgrind.info
@@ -1,10 +1,10 @@
PRGNAM="valgrind"
-VERSION="3.6.1"
+VERSION="3.7.0"
HOMEPAGE="http://www.valgrind.org/"
-DOWNLOAD="http://www.valgrind.org/downloads/valgrind-3.6.1.tar.bz2"
-MD5SUM="2c3aa122498baecc9d69194057ca88f5"
+DOWNLOAD="http://www.valgrind.org/downloads/valgrind-3.7.0.tar.bz2"
+MD5SUM="a855fda56edf05614f099dca316d1775"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
MAINTAINER="Peter Wang"
EMAIL="novalazy@gmail.com"
-APPROVED="dsomero"
+APPROVED="dsomero,Niels Horn"